aboutsummaryrefslogtreecommitdiff
path: root/jessie-amd64-tcwg/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jessie-amd64-tcwg/build.sh')
-rwxr-xr-xjessie-amd64-tcwg/build.sh23
1 files changed, 23 insertions, 0 deletions
diff --git a/jessie-amd64-tcwg/build.sh b/jessie-amd64-tcwg/build.sh
new file mode 100755
index 00000000..adafac8d
--- /dev/null
+++ b/jessie-amd64-tcwg/build.sh
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+trap cleanup_exit INT TERM EXIT
+
+cleanup_exit()
+{
+ rm -f *.list *.key
+}
+
+export LANG=C
+
+DISTRIBUTION=$(basename ${PWD} | cut -f1 -d '-')
+
+cp -a ../${DISTRIBUTION}.list linaro.list
+cp -a ../linaro-*.list ../linaro-*.key .
+sed -e "s|@DISTRIBUTION@|${DISTRIBUTION}|" -i *.list
+
+# fixup - get rid of PPA usage
+rm -f linaro-*ppa.*
+
+docker build --tag=linaro/$(basename ${PWD}) .